Package com.independentsoft.office.charts

# Class ManualLayout

java.lang.Object
com.independentsoft.office.charts.ManualLayout

public class ManualLayout extends Object
The Class ManualLayout.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManualLayout()`
  Instantiates a new manual layout.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ManualLayout`
  `clone()`
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `double`
  `getHeight()`
  Gets the height.
  `LayoutMode`
  `getHeightMode()`
  Gets the height mode.
  `double`
  `getLeft()`
  Gets the left.
  `LayoutMode`
  `getLeftMode()`
  Gets the left mode.
  `LayoutTarget`
  `getTarget()`
  Gets the target.
  `double`
  `getTop()`
  Gets the top.
  `LayoutMode`
  `getTopMode()`
  Gets the top mode.
  `double`
  `getWidth()`
  Gets the width.
  `LayoutMode`
  `getWidthMode()`
  Gets the width mode.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setHeight​(double height)`
  Sets the height.
  `void`
  `setHeightMode​(LayoutMode heightMode)`
  Sets the height mode.
  `void`
  `setLeft​(double left)`
  Sets the left.
  `void`
  `setLeftMode​(LayoutMode leftMode)`
  Sets the left mode.
  `void`
  `setTarget​(LayoutTarget target)`
  Sets the target.
  `void`
  `setTop​(double top)`
  Sets the top.
  `void`
  `setTopMode​(LayoutMode topMode)`
  Sets the top mode.
  `void`
  `setWidth​(double width)`
  Sets the width.
  `void`
  `setWidthMode​(LayoutMode widthMode)`
  Sets the width mode.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ManualLayout

    public ManualLayout()
    Instantiates a new manual layout.

- ## Method Details

  - ### clone

    public ManualLayout clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getHeight

    public double getHeight()
    Gets the height.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(double height)
    Sets the height.
    Parameters:
      `height` - the new height

  - ### getWidth

    public double getWidth()
    Gets the width.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(double width)
    Sets the width.
    Parameters:
      `width` - the new width

  - ### getLeft

    public double getLeft()
    Gets the left.
    Returns:
      the left

  - ### setLeft

    public void setLeft​(double left)
    Sets the left.
    Parameters:
      `left` - the new left

  - ### getTop

    public double getTop()
    Gets the top.
    Returns:
      the top

  - ### setTop

    public void setTop​(double top)
    Sets the top.
    Parameters:
      `top` - the new top

  - ### getHeightMode

    public LayoutMode getHeightMode()
    Gets the height mode.
    Returns:
      the height mode

  - ### setHeightMode

    public void setHeightMode​(LayoutMode heightMode)
    Sets the height mode.
    Parameters:
      `heightMode` - the new height mode

  - ### getWidthMode

    public LayoutMode getWidthMode()
    Gets the width mode.
    Returns:
      the width mode

  - ### setWidthMode

    public void setWidthMode​(LayoutMode widthMode)
    Sets the width mode.
    Parameters:
      `widthMode` - the new width mode

  - ### getLeftMode

    public LayoutMode getLeftMode()
    Gets the left mode.
    Returns:
      the left mode

  - ### setLeftMode

    public void setLeftMode​(LayoutMode leftMode)
    Sets the left mode.
    Parameters:
      `leftMode` - the new left mode

  - ### getTopMode

    public LayoutMode getTopMode()
    Gets the top mode.
    Returns:
      the top mode

  - ### setTopMode

    public void setTopMode​(LayoutMode topMode)
    Sets the top mode.
    Parameters:
      `topMode` - the new top mode

  - ### getTarget

    public LayoutTarget getTarget()
    Gets the target.
    Returns:
      the target

  - ### setTarget

    public void setTarget​(LayoutTarget target)
    Sets the target.
    Parameters:
      `target` - the new target